package intro.carrier.service;

/**
 * A simple service interface that defines a flight service.
 * A flight service simply verifies the existence of seating.
**/
public interface FlightService
{
    /**
     * Check for the availability of a flight.
     * @param flight the flight to be checked.
     * @return true if the flight seating is available,
     *         false otherwise.
    **/
    public boolean checkAvailability(String flight);
}
